package com.izouma.wenlvju.repo.performance;

import cn.hutool.core.convert.Convert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class ProgrammeScoreRepoTest {
    @Autowired
    private ProgrammeScoreRepo programmeScoreRepo;
    @Autowired
    private ProgrammeRepo      programmeRepo;


    @Test
    public void test() {
        Object avgObj = programmeScoreRepo.avgScore(1346L);
        System.out.println(avgObj);
        programmeRepo.score(Convert.convert(Double.class, avgObj), 1346L);
    }

}